title1 Census of Canada, 1971: CA/CMA-Long Form : B2HHDD01
title2 SAS control commands by Sushil Kumar UT/DLS 07/01
// JOB
/*SERVICE ?
/*ROUTE PRINT RMT402
//  EXEC SAS
//SASLIB  DD DSN=
//IN  DD DSN=
//OUT  DD DSN=
//SYSIN  DD *
PROC FORMAT DDNAME=SASLIB;
VALUE  V1_F   10         = 'NEWFOUNDLAND'
             11         = 'PR EDWARD ISLAND'
             12         = 'NOVA SCOTIA'
             13         = 'NEW BRUNSWICK'
             24         = 'QUEBEC'
             35         = 'ONTARIO'
             46         = 'MANITOBA'
             47         = 'SASKATCHEWAN'
             48         = 'ALBERTA'
             59         = 'BRITISH COLUMBIA'
             60         = 'YUKON TERRITORY'
             61         = 'NW TERRITORIES'
       ;
VALUE  V7_F   1          = 'RURAL'
             2          = 'CTV'
             3          = 'URBAN'
             4          = 'URBAN'
             5          = 'URBAN'
             6          = 'URBAN'
             7          = 'URBAN'
             8          = 'URBAN'
             9          = 'URBAN'
             0          = 'NOT A MUN RECORD'
       ;
VALUE  V10_F   1          = 'LARGEST CITY'
             2          = 'REMAINDER URBANI'
             3          = 'FRINGE- URBAN'
             4          = 'FRINGE- RURAL'
       ;
VALUE  $V11_F   'A' = '>_500000 (U)'
             'B' = '100000-499999 (U'
             'C' = '30000-99999 (U)'
             'D' = '10000-29999 (U)'
             'E' = '5000-9999 (U)'
             'F' = '2500-4999 (U)'
             'G' = '1000-2499 (U)'
             'H' = '< 1000 (U)'
             '1' = '>_500000 (R)'
             '2' = '100000-499999 (R'
             '3' = '30000-99999 (R)'
             '4' = '10000-29999 (R)'
             '5' = '5000-9999 (R)'
             '6' = '2500-4999 (R)'
             '7' = '1000-2499 (R)'
             '8' = '< 1000 (R)'
       ;
VALUE  V21_F   1          = 'URBAN'
             2          = 'RURAL'
       ;
VALUE  V23_F   0          = 'URBAN'
             1          = 'RURAL'
       ;
VALUE  V24_F   0          = 'URBAN CORE'
             1          = 'FRINGE'
       ;
VALUE  V25_F   0          = 'URBAN'
             1          = 'RURAL'
       ;
DATA OUT.???;
INFILE IN.???;
INPUT  PROV   1-2
       ED   3-4
       EA   5-7
       COUNTY   8-9
       MUNIC   10-11
       SUBDIV   $CHAR2.
       RURAL   14-14
       CMA   15-17
       CT   18-20
       CMAPART   21-21
       MUNSIZE   $CHAR1.
       RURSIZE   $CHAR1.
       REFCODE   24-25
       ECONREG   26-27
       CMCA   28-29
       CTV   30-33
       CMA-CA   34-36
       CONTROL   37-37
       MUNSUBDV   38-38
       BLANK1   39-41
       ECONAREA   42-42
       MSUBSIZE   43-43
       RURCODE   44-46
       CMACODE   47-47
       LGECITY   48-50
       DSN   51-58
       SPBYTES   59-63
       V1   64-70
       V2   71-77
       V3   78-84
       V4   85-91
       V5   92-98
       V6   99-105
       V7   106-112
       V8   113-119
       V9   120-126
       V10   127-133
       V11   134-140
       V12   141-147
       V13   148-154
       V14   155-161
       V15   162-168
       V16   169-175
       V17   176-182
       V18   183-189
       V19   190-196
       V20   197-203
       V21   204-210
       V22   211-217
       V23   218-224
       V24   225-231
       V25   232-238 .0
       V26   239-245 .0
       V27   246-252 .0
       V28   253-259
       V29   260-266
       V30   267-273
       V31   274-280
       V32   281-287
       V33   288-294
       V34   295-301
       V35   302-308
       V36   309-315
       V37   316-322
       V38   323-329
       V39   330-336
       V40   337-343
       V41   344-350
       V42   351-357
       V43   358-364
       V44   365-371
       V45   372-378
       V46   379-385
       V47   386-392
       V48   393-399
       V49   400-406
       V50   407-413
       V51   414-420
       V52   421-427 .0
       V53   428-434 .0
       V54   435-441 .0
       V55   442-448
       V56   449-455
       V57   456-462
       V58   463-469
       V59   470-476 .0
       V60   477-483
       V61   484-490
       V62   491-497
       V63   498-504
       V64   505-511
       V65   512-518
       V66   519-525
       V67   526-532
       V68   533-539
       V69   540-546
       V70   547-553
       V71   554-560
       V72   561-567
       V73   568-574
       V74   575-581
       V75   582-588
       V76   589-595
       V77   596-602
       V78   603-609
       V79   610-616
       V80   617-623
       V81   624-630
       V82   631-637
       V83   638-644
       V84   645-651
       V85   652-658
       V86   659-665
       V87   666-672
       V88   673-679
       V89   680-686
       V90   687-693
       V91   694-700
       V92   701-707
       V93   708-714
       V94   715-721
       V95   722-728 .0
       V96   729-735
       V97   736-742
       V98   743-749
       V99   750-756
       V100   757-763
       V101   764-770
       V102   771-777
       V103   778-784
       V104   785-791
       V105   792-798
       V106   799-805
       V107   806-812
       V108   813-819
       V109   820-826
       V110   827-833
       V111   834-840
       V112   841-847
       V113   848-854
       V114   855-861
       V115   862-868
       V116   869-875
       V117   876-882
       V118   883-889
       V119   890-896
       V120   897-903
       V121   904-910
       V122   911-917
       V123   918-924
       V124   925-931
       V125   932-938
       V126   939-945
       V127   946-952
       V128   953-959
       V129   960-966
       V130   967-973
       V131   974-980 .0
       V132   981-987
       V133   988-994
       V134   995-1001
       V135   1002-1008
       V136   1009-1015
       V137   1016-1022
       V138   1023-1029
       V139   1030-1036
       V140   1037-1043
       V141   1044-1050
       V142   1051-1057
       V143   1058-1064
       V144   1065-1071
       V145   1072-1078
       V146   1079-1085
       V147   1086-1092
       V148   1093-1099
       V149   1100-1106
       V150   1107-1113
       V151   1114-1120
       V152   1121-1127
       V153   1128-1134
       V154   1135-1141
       V155   1142-1148
       V156   1149-1155
       V157   1156-1162
       V158   1163-1169
       V159   1170-1176
       V160   1177-1183
       V161   1184-1190
       V162   1191-1197
       V163   1198-2002
      ;
LABEL   PROV = 'Province'
        ED = 'Electroral district'
        EA = 'Enumeration area'
        COUNTY = 'County/ Census division'
        MUNIC = 'Municipality'
        SUBDIV = 'Subdivision'
        RURAL = 'Rural/ Urban part code'
        CMA = 'Metropolitan area/ Census agglomeration'
        CT = 'Census tract'
        CMAPART = 'CMA/ CA part'
        MUNSIZE = 'Municipality size code- Urban'
        RURSIZE = 'Rural/ Urban size code'
        REFCODE = 'Reference code'
        ECONREG = 'Economic region of Statistics Canada'
        CMCA = 'Canada mannpower centre area code'
        CTV = 'City, town, village- alphabetic seq numb'
        CMA-CA = 'CMA/ CA- alphabetic seq number'
        CONTROL = 'Casper control field'
        MUNSUBDV = 'Municicpal subdivision'
        BLANK1 = 'Blank- for future use'
        ECONAREA = 'Economic area'
        MSUBSIZE = 'Municipal subdivision size'
        RURCODE = 'Rural/urban & CMA/CA codes'
        CMACODE = 'CMA/CA code'
        LGECITY = 'Largest city code'
        DSN = 'Dataset name'
        SPBYTES = 'Spare bytes'
        V1 = 'Tot hhd'
        V2 = 'hhd- income from all sources: no inc'
        V3 = 'hhd-income from all sources: with inc'
        V4 = 'Tot fam hhd'
        V5 = 'fam hhd-income from all sources: no inc'
        V6 = 'fam hhd-income from all sources: with inc'
        V7 = 'Tot non-fam hhd'
        V8 = 'non-fam hhd-income from all sources: no inc'
        V9 = 'non-fam hhd-income from all sources: with inc'
        V10 = 'Tot hhd- inc: <2000'
        V11 = 'Tot hhd- inc: 2000-2999'
        V12 = 'Tot hhd- inc: 3000-5999'
        V13 = 'Tot hhd- inc: 6000-9999'
        V14 = 'Tot hhd- inc: 10000& over'
        V15 = 'Fam hhd- inc: <2000'
        V16 = 'Fam hhd- inc: 2000-2999'
        V17 = 'Fam hhd- inc: 3000-5999'
        V18 = 'Fam hhd- inc: 6000-9999'
        V19 = 'Fam hhd- inc: 10000 & over'
        V20 = 'Non-fam hhd- inc: <2000'
        V21 = 'Non-fam hhd- inc: 2000-2999'
        V22 = 'Non-fam hhd- inc: 3000-5999'
        V23 = 'Non-fam hhd- inc: 6000-9999'
        V24 = 'Non-fam hhd- inc: 10000 & over'
        V25 = 'Avg inc (all sources): tot hhd'
        V26 = 'Avg inc (all sources): fam hhd'
        V27 = 'Avg inc (all sources): non-fam hhd'
        V28 = 'Tot hhd'
        V29 = 'Tot hhd-income from emp: no inc'
        V30 = 'Tot hhd-income from emp: with inc'
        V31 = 'Fam hhd'
        V32 = 'Fam hhd-income from emp: no inc'
        V33 = 'Fam hhd-income from emp: with inc'
        V34 = 'Non-fam hhd'
        V35 = 'Non-fam hhd-income from emp: no inc'
        V36 = 'Non-fam hhd-income from emp: with inc'
        V37 = 'Tot hhd- inc: <2000'
        V38 = 'Tot hhd- inc: 2000-2999'
        V39 = 'Tot hhd- inc: 3000-5999'
        V40 = 'Tot hhd- inc: 6000-9999'
        V41 = 'Tot hhd- inc: 10000 & over'
        V42 = 'Fam hhd- inc: <2000'
        V43 = 'Fam hhd- inc: 2000-2999'
        V44 = 'Fam hhd- inc: 3000-5999'
        V45 = 'Fam hhd- inc: 6000-9999'
        V46 = 'Fam hhd- inc: 10000 & over'
        V47 = 'Non-fam hhd- inc: <2000'
        V48 = 'Non-fam hhd- inc: 2000-2999'
        V49 = 'Non-fam hhd- inc: 3000-5999'
        V50 = 'Non-fam hhd- inc: 6000-9999'
        V51 = 'Non-fam hhd- inc: 10000 & over'
        V52 = 'Avg emp inc: tot hhd'
        V53 = 'Avg emp inc: fam hhd'
        V54 = 'Avg emp inc: non-fam hhd'
        V55 = 'Tot hhd-single deatched-tenant occ non-farm dwl'
        V56 = 'Tot hhd-single deatched-tenant occ non-farm dwl-avg cash rent: 0-39'
        V57 = '-avg cash rent: 40-59'
        V58 = '-avg cash rent: 60-79'
        V59 = '-avg cash rent: 80-99'
        V60 = '-avg cash rent: 100-139'
        V61 = '-avg cash rent: 140-179'
        V62 = '-avg cash rent: 180-229'
        V63 = '-avg cash rent: 230 & over'
        V64 = 'Tot hhd-single attached-tenant occ non-farm dwl'
        V65 = 'Tot hhd-single attached-tenant occ non-farm dwl-avg cash rent: 0-39'
        V66 = '-avg cash rent: 40-59'
        V67 = '-avg cash rent: 60-79'
        V68 = '-avg cash rent: 80-99'
        V69 = '-avg cash rent: 100-139'
        V70 = '-avg cash rent: 140-179'
        V71 = '-avg cash rent: 180-229'
        V72 = '-avg cash rent: 230 & over'
        V73 = 'Tot hhd-apartment-tenant occ non-farm dwl'
        V74 = 'Tot hhd-apartment-tenant occ non-farm dwl-avg cash rent: 0-39'
        V75 = '-avg cash rent: 40-59'
        V76 = '-avg cash rent: 60-79'
        V77 = '-avg cash rent: 80-99'
        V78 = '-avg cash rent: 100-139'
        V79 = '-avg cash rent: 140-179'
        V80 = '-avg cash rent: 180-229'
        V81 = '-avg cash rent: 230 & over'
        V82 = 'Tot hhd-mobile-tenant occ non-farm dwl'
        V83 = 'Tot hhd-mobile-tenant occ non-farm dwl-avg cash rent: 0-39'
        V84 = '-avg cash rent: 40-59'
        V85 = '-avg cash rent: 60-79'
        V86 = '-avg cash rent: 80-99'
        V87 = '-avg cash rent: 100-139'
        V88 = '-avg cash rent: 140-179'
        V89 = '-avg cash rent: 180-229'
        V90 = '-avg cash rent: 230 & over'
        V91 = 'Fam hhd-single deatched-tenant occ non-farm dwl'
        V92 = 'Fam hhd-single deatched-tenant occ non-farm dwl-avg cash rent: 0-39'
        V93 = '-avg cash rent: 40-59'
        V94 = '-avg cash rent: 60-79'
        V95 = '-avg cash rent: 80-99'
        V96 = '-avg cash rent: 100-139'
        V97 = '-avg cash rent: 140-179'
        V98 = '-avg cash rent: 180-229'
        V99 = '-avg cash rent: 230 & over'
        V100 = 'Fam hhd-single attached-tenant occ non-farm dwl'
        V101 = 'Fam hhd-single attached-tenant occ non-farm dwl-avg cash rent: 0-39'
        V102 = '-avg cash rent: 40-59'
        V103 = '-avg cash rent: 60-79'
        V104 = '-avg cash rent: 80-99'
        V105 = '-avg cash rent: 100-139'
        V106 = '-avg cash rent: 140-179'
        V107 = '-avg cash rent: 180-229'
        V108 = '-avg cash rent: 230 & over'
        V109 = 'Fam hhd-apartment-tenant occ non-farm dwl'
        V110 = 'Fam hhd-apartment-tenant occ non-farm dwl-avg cash rent: 0-39'
        V111 = '-avg cash rent: 40-59'
        V112 = '-avg cash rent: 60-79'
        V113 = '-avg cash rent: 80-99'
        V114 = '-avg cash rent: 100-139'
        V115 = '-avg cash rent: 140-179'
        V116 = '-avg cash rent: 180-229'
        V117 = '-avg cash rent: 230 & over'
        V118 = 'Fam hhd-mobile-tenant occ non-farm dwl'
        V119 = 'Fam hhd-mobile-tenant occ non-farm dwl-avg cash rent: 0-39'
        V120 = '-avg cash rent: 40-59'
        V121 = '-avg cash rent: 60-79'
        V122 = '-avg cash rent: 80-99'
        V123 = '-avg cash rent: 100-139'
        V124 = '-avg cash rent: 140-179'
        V125 = '-avg cash rent: 180-229'
        V126 = '-avg cash rent: 230 & over'
        V127 = 'Non-fam hhd-singl deatched-tenant occ non-farm dwl'
        V128 = 'Non-fam hhd-singl deatched-tenant occ non-farm dwl-avg cash rent: 0-39'
        V129 = '-avg cash rent: 40-59'
        V130 = '-avg cash rent: 60-79'
        V131 = '-avg cash rent: 80-99'
        V132 = '-avg cash rent: 100-139'
        V133 = '-avg cash rent: 140-179'
        V134 = '-avg cash rent: 180-229'
        V135 = '-avg cash rent: 230 & over'
        V136 = 'Non-fam hhd-singl attached-tenant occ non-farm dwl'
        V137 = 'Non-fam hhd-singl attached-tenant occ non-farm dwl-avg cash rent: 0-39'
        V138 = '-avg cash rent: 40-59'
        V139 = '-avg cash rent: 60-79'
        V140 = '-avg cash rent: 80-99'
        V141 = '-avg cash rent: 100-139'
        V142 = '-avg cash rent: 140-179'
        V143 = '-avg cash rent: 180-229'
        V144 = '-avg cash rent: 230 & over'
        V145 = 'Non-fam hhd-apartment-tenant occ non-farm dwl'
        V146 = 'Non-fam hhd-apartment-tenant occ non-farm dwl-avg cash rent: 0-39'
        V147 = '-avg cash rent: 40-59'
        V148 = '-avg cash rent: 60-79'
        V149 = '-avg cash rent: 80-99'
        V150 = '-avg cash rent: 100-139'
        V151 = '-avg cash rent: 140-179'
        V152 = '-avg cash rent: 180-229'
        V153 = '-avg cash rent: 230 & over'
        V154 = 'Non-fam hhd-mobile-tenant occ non-farm dwl'
        V155 = 'Non-fam hhd-mobile-tenant occ non-farm dwl-avg cash rent: 0-39'
        V156 = '-avg cash rent: 40-59'
        V157 = '-avg cash rent: 60-79'
        V158 = '-avg cash rent: 80-99'
        V159 = '-avg cash rent: 100-139'
        V160 = '-avg cash rent: 140-179'
        V161 = '-avg cash rent: 180-229'
        V162 = '-avg cash rent: 230 & over'
        V163 = 'Zeroes filled cells'
      ;
FORMAT  PROV        V1_F.
        RURAL       V7_F.
        CMAPART     V10_F.
        MUNSIZE     $V11_F.
        ECONAREA    V21_F.
        RURCODE     V23_F.
        CMACODE     V24_F.
        LGECITY     V25_F.
;
